Package org.bukkit.conversations

# Class ConversationAbandonedEvent

java.lang.Object
java.util.EventObject
org.bukkit.conversations.ConversationAbandonedEvent

All Implemented Interfaces:
  `Serializable`

public class ConversationAbandonedEvent extends EventObject
ConversationAbandonedEvent contains information about an abandoned conversation.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ConversationAbandonedEvent(@NotNull Conversation conversation)`
`ConversationAbandonedEvent(@NotNull Conversation conversation, @Nullable ConversationCanceller canceller)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable ConversationCanceller`
`getCanceller()`
Gets the object that caused the conversation to be abandoned.
`@NotNull ConversationContext`
`getContext()`
Gets the abandoned conversation's conversation context.
`boolean`
`gracefulExit()`
Indicates how the conversation was abandoned - naturally as part of the prompt chain or prematurely via a `ConversationCanceller`.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConversationAbandonedEvent

public ConversationAbandonedEvent(@NotNull @NotNull Conversation conversation)

### ConversationAbandonedEvent

public ConversationAbandonedEvent(@NotNull @NotNull Conversation conversation, @Nullable @Nullable ConversationCanceller canceller)

## Method Details

### getCanceller

@Nullable public @Nullable ConversationCanceller getCanceller()
Gets the object that caused the conversation to be abandoned.

Returns:
  The object that abandoned the conversation.

### getContext

@NotNull public @NotNull ConversationContext getContext()
Gets the abandoned conversation's conversation context.

Returns:
  The abandoned conversation's conversation context.

### gracefulExit

public boolean gracefulExit()
Indicates how the conversation was abandoned - naturally as part of the prompt chain or prematurely via a `ConversationCanceller`.

Returns:
  True if the conversation is abandoned gracefully by a `Prompt` returning null or the next prompt. False of the conversations is abandoned prematurely by a ConversationCanceller.